package com.wd.workoffice.ui.adapter;


import android.view.View;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.WorkTaskBean;
import com.wd.workoffice.bean.mesBean.WorkTaskMaterialsBean;
import com.wd.workoffice.bean.workEnum.WorkOrder;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkOrderTaskAdapter extends BaseQuickAdapter<WorkTaskBean.ListBean, BaseViewHolder> {
    boolean canModify;
//    public WorkOrderTaskAdapter(int layoutResId, List data) {
//        super(layoutResId, data);
//    }

//    public WorkOrderTaskAdapter(int layoutResId, List data, int status) {
//        super(layoutResId, data);
//        this.status = status;
//    }

    public WorkOrderTaskAdapter(int layoutResId, List data, boolean canModify) {
        super(layoutResId, data);
        this.canModify = canModify;
    }
    @Override
    protected void convert(BaseViewHolder helper, WorkTaskBean.ListBean item) {
        helper.setText(R.id.tv_no, String.format("任务号:%s", item.getActNum()));
        helper.setText(R.id.tv_status, WorkOrder.getNameByCode(item.getStatus()));
        helper.setText(R.id.tv_desc, item.getDescription());
        helper.setText(R.id.tv_time, item.getTime() + "");
        helper.addOnClickListener(R.id.tv_delete);
        helper.addOnClickListener(R.id.tv_edit);
        helper.setGone(R.id.ll_btn, canModify);
    }
}

